function s = status_chain(obj, ft_status)

    FT_STATUS = {
        'Command success',...
        'FT_INVALID_HANDLE', ...
        'FT_DEVICE_NOT_FOUND', ...
        'FT_DEVICE_NOT_OPENED',...
        'FT_IO_ERROR',...
        'FT_INSUFFICIENT_RESOURCES',...
        'FT_INVALID_PARAMETER', ...
        'FT_INVALID_BAUD_RATE', ...
        'FT_DEVICE_NOT_OPENED_FOR_ERASE', ...
        'FT_DEVICE_NOT_OPENED_FOR_WRITE', ...
        'FT_FAILED_TO_WRITE_DEVICE', ...
        'FT_EEPROM_READ_FAILED', ...
        'FT_EEPROM_WRITE_FAILED', ...
        'FT_EEPROM_ERASE_FAILED', ...
        'FT_EEPROM_NOT_PRESENT', ...
        'FT_EEPROM_NOT_PROGRAMMED', ...
        'FT_INVALID_ARGS', ...
        'FT_NOT_SUPPORTED', ...
        'FT_OTHER_ERROR', ...
        'NOT_ENOUGHT_DATA_TO_READ',...
        '(*BytesRead != BytesToRead)'};

    s = sprintf('%s', FT_STATUS{ft_status+1});